Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.eventadapter
Class ListEventAdapter

    java.lang.Object
      org.eclipse.birt.report.engine.api.script.eventadapter.ListEventAdapter

All Implemented Interfaces:
  IListEventHandler

    public class ListEventAdapter

extends java.lang.Object
implements IListEventHandler

Default (empty) implementation of the IListEventHandler interface

Constructor Summary
`ListEventAdapter()`

Method Summary
`void` | `onCreate(IListInstance list, IReportContext reportContext)` Handle the onCreate event
`void` | `onPageBreak(IListInstance list, IReportContext reportContext)` Handle the onPageBreak event
`void` | `onPrepare(IList listHandle, IReportContext reportContext)` Handle the onPrepare event
`void` | `onRender(IListInstance list, IReportContext reportContext)` Handle the onRender event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListEventAdapter

    public ListEventAdapter()

Method Detail

### onPrepare

    public void onPrepare(IList listHandle,
                          IReportContext reportContext)

  Description copied from interface: `IListEventHandler`
  Handle the onPrepare event

  Specified by:
    `onPrepare` in interface `IListEventHandler`

### onCreate

    public void onCreate(IListInstance list,
                         IReportContext reportContext)

  Description copied from interface: `IListEventHandler`
  Handle the onCreate event

  Specified by:
    `onCreate` in interface `IListEventHandler`

### onRender

    public void onRender(IListInstance list,
                         IReportContext reportContext)

  Description copied from interface: `IListEventHandler`
  Handle the onRender event

  Specified by:
    `onRender` in interface `IListEventHandler`

### onPageBreak

    public void onPageBreak(IListInstance list,
                            IReportContext reportContext)

  Description copied from interface: `IListEventHandler`
  Handle the onPageBreak event

  Specified by:
    `onPageBreak` in interface `IListEventHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.